Balance sheets
get
Retrieves the balance sheets for a given ticker symbol.
Authorizations
AuthorizationstringRequired
Path parameters
tickerstringRequired
- The ticker symbol of the company.
Query parameters
periodstring · enumRequiredPossible values:
- The period type of the balance sheets.
limitnumber · doubleOptional
- The maximum number of balance sheets to return.
cikstringOptional
- The CIK number of the company.
Header parameters
AuthorizationstringRequired
- The authorization token.
Responses
200
A promise that resolves to a BalanceSheetsAPIResponse object containing the balance sheets.
application/json
Represents the response of the getBalanceSheets endpoint.
successbooleanRequired
The success status of the operation.
messagestringRequired
The message associated with the operation.
addressstringOptional
The address associated with the operation.
get
/financial-datasets/balance-sheets/{ticker}200
A promise that resolves to a BalanceSheetsAPIResponse object containing the balance sheets.